Questions sur l'installation et la configuration de Manjaro Linux.
Répondre

mise à jour impossible avec une histoire de libqpdfview

#1Messageil y a 9 mois

Bonjour à tous
le disque dur de mon Lenovo X61 ayant laché, j'ai mis un SSD et manjaro.
Après une installation sans soucis, place aux opérations habituelles (programmes....) mais avant une mise à jour : 590 rien que cela.
Je lance et après un téléchargement j'obtiens :

....
Taille totale installée :     4099,64 MiB
Taille de mise à jour nette :   301,33 MiB

:: Procéder à l’installation ? [O/n] o
(590/590) vérification des clés dans le trousseau  [######################] 100%
(590/590) vérification de l’intégrité des paquets  [######################] 100%
(590/590) chargement des fichiers des paquets      [######################] 100%
(590/590) analyse des conflits entre fichiers      [######################] 100%
erreur : la validation de la transaction a échoué (conflit de fichiers)
qpdfview : /usr/lib/qpdfview/libqpdfview_djvu.so est déjà présent dans le système de fichiers
qpdfview : /usr/lib/qpdfview/libqpdfview_ps.so est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
J'ai bien trouvé quelques choses sur le forum viewtopic.php?t=9790 post 10, mais l'origine semble différent.

Alors que faire ?

D'avance merci

mise à jour impossible avec une histoire de libqpdfview

#2Messageil y a 9 mois

Bonjour, normalement on vire le paquet bloquant puis on fait la mise à jour. Ensuite on réinstalle ce paquet.

Perso et même si ce n'est sans doute pas la méthode conseillée, je fais ça, en root :

rm /usr/lib/qpdfview/libqpdfview_djvu.so /usr/lib/qpdfview/libqpdfview_ps.so
Comme ça, il n'est plus "déjà présent dans le système de fichiers":siffle

mise à jour impossible avec une histoire de libqpdfview

#3Messageil y a 9 mois

Désolé mais je n'avais plus internet. Quand je pense qu'avec ma ligne ADSL en bout de course je n'avais aucun soucis de connexion, aujourd'hui avec la fibre j'en suis à mon troisième incident....

Alors je ne sais que penser. J'ai fait ce que tu m'as dît, Erwan et j'ai maintenant (mais est-ce lié ?) une curieuse chose.
En effet Pamac (V6.2.4-1) m'informe que mon PC est à jour, mais l’icône de notification m'indique 564 mises à jours disponibles.

Bizarre, vous avez dît bizarre ?????

mise à jour impossible avec une histoire de libqpdfview

#4Messageil y a 9 mois

:bjr: On va laisser pamac de côté pour l'instant, si tu veux bien :wink: Ouvres un terminal et rentre la commande de mise à jour :

sudo pacman -Syyu
puis colle le retour ici (entre balises code). :merci:

mise à jour impossible avec une histoire de libqpdfview

#5Messageil y a 9 mois

Merci Erwan
J'avais fait une série de manipulation trouvé dans le forum et le wiki dont le

sudo pacman -Syyu
.
Rien n'y a fait.

Sentant une certaine lassitude, j'ai éteint mon portable et aujourd'hui, plus de mises à jours disponible....... :siffle Ah les joies de l'informatique :bien

Au moins mon PC est à jour
Pour infos après un sudo pacman -Syyu, il y a eu synchronisation de la base de données des paquets core, extra, community et multilib et le message "Il n'y a rien à faire". Mais toujours 500 et quelques mises à jours en notification.

Par contre, l'installation de ma brother réseau (discussion viewtopic.php?f=17&t=9652&p=109625&hili ... 20#p109625) n'est plus possible à cause de ce libqpdfview.

J'ai le message

erreur : filed owned by 'qdpfview' and 'qdpfview-djvu-plugin' : 'usr/lib/qdpfview/libqdpfview_djvu.so'
erreur : filed owned by 'qdpfview' and 'qdpfview-ps-plugin' : 'usr/lib/qdpfview/libqdpfview_ps.so'
Mais qu'est ce que c'est que ce fichier....

merci et ceux et à celles qui pourront éclairer ma lanterne :wink:

mise à jour impossible avec une histoire de libqpdfview

#6Messageil y a 9 mois

Bonjour
Ce sont des bibliothèques partagées pour l'affichage de fichier en .pdf. Un même fichier dépend directement de deux paquets ce qui pose problème. Perso, je désinstallerais qpdfview et ses dépendances, lancerais la misa à jour et réinstallerais si indispensable qpdfview:

sudo pacman -Rdd qpdfview
sudo pacman -Syyu
sudo pacman -S qpdfview

mise à jour impossible avec une histoire de libqpdfview

#7Messageil y a 9 mois

Merci je vais tenter.... lorsque j'aurais accès à mon PC

mise à jour impossible avec une histoire de libqpdfview

#8Messageil y a 9 mois

Bon c'est fait,
après avoir fait un sudo pacman -Syyu j'ai du répondre à des questions pour remplacer ceraines choses, j'ai répondu oui à chacune.
Après quelques 597 mise à jour suivi par 25 autres j'ai tenté un sudo pacman -S qpdfview, j'ai eu ces messages

sudo pacman -S qpdfview
résolution des dépendances...
recherche des conflits entre paquets...

Paquets (2) libsynctex-2017.44590-10  qpdfview-0.4.17beta1-5

Taille totale installée :  3,05 MiB

:: Procéder à l’installation ? [O/n] o
(2/2) vérification des clés dans le trousseau      [######################] 100%
(2/2) vérification de l’intégrité des paquets      [######################] 100%
(2/2) chargement des fichiers des paquets          [######################] 100%
(2/2) analyse des conflits entre fichiers          [######################] 100%
erreur : la validation de la transaction a échoué (conflit de fichiers)
qpdfview : /usr/lib/qpdfview/libqpdfview_djvu.so est déjà présent dans le système de fichiers
qpdfview : /usr/lib/qpdfview/libqpdfview_ps.so est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
Dois-je m'en inquiété ? Merci

mise à jour impossible avec une histoire de libqpdfview

#9Messageil y a 9 mois

Apparemment non, tu ne devrais plus avoir besoin de ce paquet.
Arrives-tu à ouvrir un fichier pdf?

mise à jour impossible avec une histoire de libqpdfview

#10Messageil y a 9 mois

lemust83 a écrit :
il y a 9 mois
Apparemment non, tu ne devrais plus avoir besoin de ce paquet.
Arrives-tu à ouvrir un fichier pdf?
C'est curieux car les pdf s'ouvre avec LibreOffice Draw et non une visionneuse. je vais essayer de regarder ce qu'il se passe.
Il est vrai qu'il n'y a pas que ça qui me surprend. En effet je n'ai pas les dossiers documents, images etc...que l'on a avec les autres distributions. Je vais ouvrir un nouveau fil de discussion car je pense qu'il y a un problème.

mise à jour impossible avec une histoire de libqpdfview

#11Messageil y a 9 mois

Bonjour,
Je me greffe sur le sujet, puisque j'ai à nouveau un retour d'erreur concernant ce dossier qpdfview :

erreur : file owned by 'qpdfview' and 'qpdfview-djvu-plugin': 'usr/lib/qpdfview/libqpdfview_djvu.so'
erreur : file owned by 'qpdfview' and 'qpdfview-ps-plugin': 'usr/lib/qpdfview/libqpdfview_ps.so'
Lemust, j'ai fait la manip que tu préconises :

sudo pacman -Rdd qpdfview
sudo pacman -Syyu
sudo pacman -S qpdfview
et tout se passe sans erreur jusqu'à la 2ème synchro après l'avoir réinstallé. réf/retour ci-dessus...
Les pdf s'ouvrent normalement dans qpdfview.
Une idée d'où provient ce message d'erreur ? Apparemment une affaire de propriétaire... qui est "root".
Merci. :bjr:

mise à jour impossible avec une histoire de libqpdfview

#12Messageil y a 9 mois

bonjour

tout est dans ton message d'erreur

erreur : file owned by 'qpdfview' and 'qpdfview-djvu-plugin'
erreur : file owned by 'qpdfview' and 'qpdfview-ps-plugin'
qpdfview n'est pas le coupable, mais que sont les paquets qpdfview-djvu-plugin et qpdfview-ps-plugin ? inconnus pour moi

depuis le mois d'octobre, qpdfview les remplace, c'est donc qpdfview qu'il faut forcer ou supprimer les 2 anciens plugins

mise à jour impossible avec une histoire de libqpdfview

#13Messageil y a 9 mois

En passant par le gestionnaire de paquet j'ai constaté
- la présence de qpdfview-djvu-plugin et qpdfview-ps-plugin
- le paquet qpdfview non installé.

J'ai suivi papajok donc désinstaller qpdfview-djvu-plugin et qpdfview-ps-plugin et installé qpdfview.
L'ouverture d'un pdf est faite par la visionneuse qpdfview et non pas par draw.

Affaire résolu.
Merci à tous

mise à jour impossible avec une histoire de libqpdfview

#14Messageil y a 9 mois

OK, merci papajoke et pymlinux.
En effet en supprimant ces 2 paquets, en réinstallant qpdfview, tout est rentré dans l'ordre et je n'ai plus de message d'erreur.
:bjr:

Répondre